Click or drag to resize
BrepCreateFromCornerPoints Method (Point3d, Point3d, Point3d, Double)
Makes a brep with one face.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public static Brep CreateFromCornerPoints(
	Point3d corner1,
	Point3d corner2,
	Point3d corner3,
	double tolerance
)

Parameters

corner1
Type: Rhino.GeometryPoint3d
A first corner.
corner2
Type: Rhino.GeometryPoint3d
A second corner.
corner3
Type: Rhino.GeometryPoint3d
A third corner.
tolerance
Type: SystemDouble
Minimum edge length without collapsing to a singularity.

Return Value

Type: Brep
A boundary representation, or null on error.
See Also